.preloader{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	/*background: #000;*/
	z-index: 1500;
	transition: 1s;
}

.preloader:before{
	content: '';
	position: absolute;
	left: 0;
	width: 50%;
	height: 100%;
	background: #000;
	transition: 1s;
}

.preloader.complete:before{
	left: -50%;
}

.preloader:after{
	content: '';
	position: absolute;
	right: 0;
	width: 50%;
	height: 100%;
	background: #000;
	transition: 1s;
}

.preloader.complete:after{
	right: -50%;
}


/*This is the magical chunk of code that removes the preloader layer after sliding out*/
.preloader.complete{
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
}